Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Namespaces | Variables
ezprestclient.php File Reference

Go to the source code of this file.

## Namespaces
| kernel

## Variables
| $def = new ezcPersistentObjectDefinition()
$def | table = "ezprest_clients"
$def class | ezpRestClient
$def | idProperty = new ezcPersistentObjectIdProperty
$def idProperty | columnName = 'id'
$def idProperty | propertyName = 'id'
$def idProperty | generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentSequenceGenerator', array( "sequence" => "ezprest_clients_s" ) )
$def | properties ['name'] = new ezcPersistentObjectProperty
$def properties[ 'name'] | propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING
$def | properties ['description'] = new ezcPersistentObjectProperty
$def | properties ['client_id'] = new ezcPersistentObjectProperty
$def | properties ['client_secret'] = new ezcPersistentObjectProperty
$def | properties ['endpoint_uri'] = new ezcPersistentObjectProperty
$def | properties ['owner_id'] = new ezcPersistentObjectProperty
$def | properties ['created'] = new ezcPersistentObjectProperty
$def | properties ['updated'] = new ezcPersistentObjectProperty
$def | properties ['version'] = new ezcPersistentObjectProperty

## Variable Documentation

## ◆ $def

return $def = new ezcPersistentObjectDefinition()

Definition at line 12 of file ezprestclient.php.

## ◆ columnName

$def properties ['version'] columnName = 'id'

Definition at line 17 of file ezprestclient.php.

## ◆ ezpRestClient

$def class ezpRestClient

Definition at line 14 of file ezprestclient.php.

## ◆ generator

$def idProperty generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentSequenceGenerator', array( "sequence" => "ezprest_clients_s" ) )

Definition at line 19 of file ezprestclient.php.

## ◆ idProperty

$def idProperty = new ezcPersistentObjectIdProperty

Definition at line 16 of file ezprestclient.php.

## ◆ properties [1/9]

$def properties[ 'client_id'] = new ezcPersistentObjectProperty

Definition at line 31 of file ezprestclient.php.

## ◆ properties [2/9]

$def properties[ 'client_secret'] = new ezcPersistentObjectProperty

Definition at line 36 of file ezprestclient.php.

## ◆ properties [3/9]

$def properties[ 'created'] = new ezcPersistentObjectProperty

Definition at line 51 of file ezprestclient.php.

## ◆ properties [4/9]

$def properties[ 'description'] = new ezcPersistentObjectProperty

Definition at line 26 of file ezprestclient.php.

## ◆ properties [5/9]

$def properties[ 'endpoint_uri'] = new ezcPersistentObjectProperty

Definition at line 41 of file ezprestclient.php.

## ◆ properties [6/9]

$def properties[ 'name'] = new ezcPersistentObjectProperty

Definition at line 21 of file ezprestclient.php.

## ◆ properties [7/9]

$def properties[ 'owner_id'] = new ezcPersistentObjectProperty

Definition at line 46 of file ezprestclient.php.

## ◆ properties [8/9]

$def properties[ 'updated'] = new ezcPersistentObjectProperty

Definition at line 56 of file ezprestclient.php.

## ◆ properties [9/9]

$def properties[ 'version'] = new ezcPersistentObjectProperty

Definition at line 61 of file ezprestclient.php.

## ◆ propertyName

$def properties ['version'] propertyName = 'id'

Definition at line 18 of file ezprestclient.php.

## ◆ propertyType

$def properties ['version'] propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING

Definition at line 24 of file ezprestclient.php.

## ◆ table

$def table = "ezprest_clients"

Definition at line 13 of file ezprestclient.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.